Name:       perl-Task-Catalyst 
Version:    3.0000 
Release:    4%{?dist}
# lib/Task/Catalyst.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Libraries
Summary:    All you need to start with Catalyst 
Source:     http://search.cpan.org/CPAN/authors/id/M/MR/MRAMBERG/Task-Catalyst-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/Task-Catalyst
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) => 6.42
# tests for Task::Catalyst itself
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)

# This macro allows us to easily define identical Requires and BR
%global req_both() %{expand:\
Requires: %*\
BuildRequires: %*\
} 

# core
%req_both perl(Catalyst)        => 5.7007
%req_both perl(Catalyst::Devel) => 1.02

# feature: Apache/mod_perl Support
%req_both perl(Catalyst::Engine::Apache) => 1.09

# feature: FastCGI Support
%req_both perl(FCGI::ProcManager)

# feature: PAR Support
%req_both perl(PAR)

# feature: Log4perl Support
%req_both perl(Params::Validate)
%req_both perl(Catalyst::Log::Log4perl) => 0.1

# feature: HTML::FormFu Support
%req_both perl(Catalyst::Controller::HTML::FormFu) => 0.03 

# feature: FormBuilder Support
%req_both perl(Catalyst::Controller::FormBuilder) => 0.03

# feature: Stacktrace Advanced Debugging Support
%req_both perl(Catalyst::Plugin::StackTrace) => 0.02

# feature: Session Support
%req_both perl(Catalyst::Plugin::Session)                => 0.05
%req_both perl(Catalyst::Plugin::Session::Store::File)   => 0.07
%req_both perl(Catalyst::Plugin::Session::State::Cookie) => 0.02
%req_both perl(Catalyst::Plugin::Session::State::URI)    => 0.02

# feature: Authentication/Authorization Support
%req_both perl(Catalyst::Plugin::Authentication)             => 0.05
%req_both perl(Catalyst::Authentication::Store::DBIx::Class) => 0.04
%req_both perl(Catalyst::Plugin::Authorization::ACL)         => 0.06
%req_both perl(Catalyst::Plugin::Authorization::Roles)       => 0.03

# feature: I18N Support
%req_both perl(Catalyst::Plugin::I18N) => 0.05

# feature: DBIx::Class Support
%req_both perl(Catalyst::Model::DBIC::Schema) => 0.08

# feature: Template::Toolkit Support
%req_both perl(Catalyst::View::TT) => 0.22

# feature: Test::WWW::Mechanize Support
%req_both perl(Test::WWW::Mechanize::Catalyst) => 0.35

# feature: SQLite Support 
%req_both perl(DBD::SQLite)

# Make sure we pull it in, regardless of where it is
Requires:   /usr/bin/catalyst.pl

%description
This package ensures everything you need to write serious Catalyst
applications is installed.  Install this if you're interested in 
developing Catalyst apps. 

%prep
%setup -q -n Task-Catalyst-%{version}

%build
PERL_AUTOINSTALL='--skipdeps' %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes README 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.0000-4
- Mass rebuild with perl-5.12.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0000-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 3.0000-2
- make sure we get catalyst.pl installed, too

* Fri Feb 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 3.0000-1
- implement the req_both macro and pull in the deps we require from
  Makefile.PL

* Thu Feb 26 2009 Chris Weyl <cweyl@alumni.drew.edu> 3.0000-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

